AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Update a subaccount

This section describes how to update a collection subaccount on Flutterwave.

Last updated 13 September 2026

put

https://api.flutterwave.com/v3/subaccounts/{id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is the unique id of the subaccount you want to update. It is returned in the call to create a subaccount as data.id

FILL IN ALL REQUIRED FIELDS

business_name string
This is the sub-account business name

business_email string
This is the sub-account business email"

split_type string
This can be set as percentage or flat

split_value number required
This can be a percentage value or flat value depending on what was set on split_type

account_number string
This is the customer's account number

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

account_bank string

business_name string

full_name string

created_at string

meta array of objects

FILL IN ALL REQUIRED FIELDS

meta_name string

meta_value string

account_id integer

split_ratio integer

split_type string

split_value string

subaccount_id string

bank_name string

country string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys